Subject: bug#39170: 27.0.60; tramp: async-shell-command asks me for password each time

From: Tino Calancha <[email-masked]>
Date: Sat, 18 Jan 2020 16:10:40 +0100

X-Debbugs-Cc: Michael Albinus <[email-masked]>

emacs -Q
;; I visit /tmp
C-x d /sudo::/tmp RET
;; prompted for pasword as usual; then I got my Dired buffer
M-& ls RET
;; Now I am prompted for password; in fact, I am prompted for password
;; each time I execute `asayc-shell-command' from that tramp buffer.

Git bisect suggests that the issue arose with commit:
'Fix Bug#27315'
(164fcc6f26e4a539f6cb1e4b7196ce5f93d06a53)

In GNU Emacs 27.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2020-01-18 built on calancha-pc.dy.bbexcite.jp
Repository revision: 4217bc229b8d1614b3b5c44fd1dadb775ed1ef4a
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)